.TH "siggen::File" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::File \- basic C file operations encapsulated in class  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <File\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBFile\fP (std::FILE *file)"
.br
.RI "takes ownership of the opened file descriptor "
.ti -1c
.RI "size_t \fBTryRead\fP (char *buffer, size_t size)"
.br
.RI "attempts to read block from file "
.ti -1c
.RI "size_t \fBTryWrite\fP (char const *buffer, size_t size)"
.br
.RI "attempts to write block of data to file "
.in -1c
.SH "Detailed Description"
.PP 
basic C file operations encapsulated in class 
.PP
Definition at line 9 of file File\&.h\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "siggen::File::File (std::FILE * file)"

.PP
takes ownership of the opened file descriptor 
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP

.PP
Definition at line 8 of file File\&.cpp\&.
.SH "Member Function Documentation"
.PP 
.SS "size_t siggen::File::TryRead (char * buffer, size_t size)"

.PP
attempts to read block from file 
.PP
\fBParameters\fP
.RS 4
\fIbuffer\fP buffer for data 
.br
\fIsize\fP size of the buffer
.RE
.PP
\fBReturns\fP
.RS 4
bytes read 
.RE
.PP

.PP
Definition at line 26 of file File\&.cpp\&.
.SS "size_t siggen::File::TryWrite (char const * buffer, size_t size)"

.PP
attempts to write block of data to file 
.PP
\fBParameters\fP
.RS 4
\fIbuffer\fP buffer with data 
.br
\fIsize\fP size of the buffer
.RE
.PP
\fBReturns\fP
.RS 4
bytes written 
.RE
.PP

.PP
Definition at line 33 of file File\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
